Bug 1670606 - [OSP15] requirements do not exist in RHEL 8 Beta: sdparm [NEEDINFO]
Summary: [OSP15] requirements do not exist in RHEL 8 Beta: sdparm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-hardware
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Lon Hohberger
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-29 21:39 UTC by Lon Hohberger
Modified: 2020-10-21 11:09 UTC (History)
7 users (show)

Fixed In Version: python-hardware-0.18.1-0.20190301153523.b417976.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:19:59 UTC
Target Upstream Version:
adminsys: needinfo? (atonner)
adminsys: needinfo? (atonner)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:20:21 UTC

Description Lon Hohberger 2019-01-29 21:39:22 UTC
Description of problem:

Python-hardware uses these two packages which are not part of RHEL 8 beta.

Comment 3 Lon Hohberger 2019-01-29 22:53:36 UTC
Sysbench was not in RHEL (my error) - I've rebuilt that.

Comment 4 Lon Hohberger 2019-01-31 20:32:49 UTC
Looking at the python-hardware code, sdparm is used directly by hardware/detect.py to obtain WCE (write cache enabled) and RCD (read cache disabled).

We can change out the call to check WCE by reading /sys/block/%s/queue/write_cache.  If it is "write back", then WCE = 1. If it is "write through", then WCE = 0.

I am still investigating how to determine RCD, although it may not be possible (and we may have to simply set this to 0 at all times).

Comment 5 Lon Hohberger 2019-01-31 21:16:15 UTC
I suspect RCD isn't even needed.

Comment 6 Lon Hohberger 2019-02-01 20:37:44 UTC
https://github.com/redhat-cip/hardware/pull/49

Comment 10 Alistair Tonner 2019-07-11 15:50:17 UTC
RHEL8 tests on VM : 

Failed retrieving disk information device/model for vdf: [Errno 20] Not a directory: '/sys/block/vdf/device/device/model'
Failed retrieving disk information device/revision for vdf: [Errno 20] Not a directory: '/sys/block/vdf/device/device/revision'
Failed at getting disk information at /sys/block/vdf/device/scsi_disk/virtio9/cache_type: [Errno 2] No such file or directory: '/sys/block/vdf/device/scsi_disk/virtio9/cache_type'


Although the code no longer pulls in the sdparm dependency, and it works on baremetal, it does not use correct pathing on VMs to find the relevant data.  Furthermore, VMDK does not have "model" 

:
:
lrwxrwxrwx. 1 root root 0 Jul  9 21:40 /sys/block/dm-4 -> ../devices/virtual/block/dm-4
:
:
lrwxrwxrwx. 1 root root 0 Jul  9 21:10 /sys/block/vdf -> ../devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf

ls -ld /sys/block/vdf/*
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/block/vdf/alignment_offset
lrwxrwxrwx. 1 root root    0 Jul  9 21:10 /sys/block/vdf/bdi -> ../../../../../virtual/bdi/252:80
-rw-r--r--. 1 root root 4096 Jul  9 21:10 /sys/block/vdf/cache_type
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/block/vdf/capability
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/block/vdf/dev
lrwxrwxrwx. 1 root root    0 Jul  9 21:10 /sys/block/vdf/device -> ../../../virtio9
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/block/vdf/discard_alignment
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/block/vdf/ext_range
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/block/vdf/hidden
drwxr-xr-x. 2 root root    0 Jul  9 21:10 /sys/block/vdf/holders
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/block/vdf/inflight
drwxr-xr-x. 2 root root    0 Jul  9 21:10 /sys/block/vdf/integrity
drwxr-xr-x. 3 root root    0 Jul  9 21:10 /sys/block/vdf/mq
drwxr-xr-x. 2 root root    0 Jul  9 21:10 /sys/block/vdf/power
drwxr-xr-x. 3 root root    0 Jul  9 21:10 /sys/block/vdf/queue
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/block/vdf/range
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/block/vdf/removable
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/block/vdf/ro
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/block/vdf/serial
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/block/vdf/size
drwxr-xr-x. 2 root root    0 Jul  9 21:10 /sys/block/vdf/slaves
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/block/vdf/stat
lrwxrwxrwx. 1 root root    0 Jul  9 21:10 /sys/block/vdf/subsystem -> ../../../../../../class/block
drwxr-xr-x. 2 root root    0 Jul  9 21:10 /sys/block/vdf/trace
-rw-r--r--. 1 root root 4096 Jul  9 21:40 /sys/block/vdf/uevent


 ls -ld /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/*
-r--r--r--. 1 root root 4096 Jul 11 15:41 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/alignment_offset
lrwxrwxrwx. 1 root root    0 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/bdi -> ../../../../../virtual/bdi/252:80
-rw-r--r--. 1 root root 4096 Jul 11 15:41 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/cache_type
-r--r--r--. 1 root root 4096 Jul 11 15:41 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/capability
-r--r--r--. 1 root root 4096 Jul 11 15:41 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/dev
lrwxrwxrwx. 1 root root    0 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/device -> ../../../virtio9
-r--r--r--. 1 root root 4096 Jul 11 15:41 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/discard_alignment
-r--r--r--. 1 root root 4096 Jul 11 15:41 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/ext_range
-r--r--r--. 1 root root 4096 Jul 11 15:41 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/hidden
drwxr-xr-x. 2 root root    0 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/holders
-r--r--r--. 1 root root 4096 Jul 11 15:41 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/inflight
drwxr-xr-x. 2 root root    0 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/integrity
drwxr-xr-x. 3 root root    0 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/mq
drwxr-xr-x. 2 root root    0 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/power
drwxr-xr-x. 3 root root    0 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/queue
-r--r--r--. 1 root root 4096 Jul 11 15:41 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/range
-r--r--r--. 1 root root 4096 Jul 11 15:41 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/removable
-r--r--r--. 1 root root 4096 Jul 11 15:41 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/ro
-r--r--r--. 1 root root 4096 Jul 11 15:41 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/serial
-r--r--r--. 1 root root 4096 Jul 11 15:41 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/size
drwxr-xr-x. 2 root root    0 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/slaves
-r--r--r--. 1 root root 4096 Jul 11 15:41 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/stat
lrwxrwxrwx. 1 root root    0 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/subsystem -> ../../../../../../class/block
drwxr-xr-x. 2 root root    0 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/trace
-rw-r--r--. 1 root root 4096 Jul  9 21:40 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block/vdf/uevent

ls -ld /sys/devices/pci0000:00/0000:00:0d.0/virtio9/*
drwxr-xr-x. 3 root root    0 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/block
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/device
lrwxrwxrwx. 1 root root    0 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/driver -> ../../../../bus/virtio/drivers/virtio_blk
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/features
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/modalias
drwxr-xr-x. 2 root root    0 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/power
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/status
lrwxrwxrwx. 1 root root    0 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/subsystem -> ../../../../bus/virtio
-rw-r--r--. 1 root root 4096 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/uevent
-r--r--r--. 1 root root 4096 Jul  9 21:10 /sys/devices/pci0000:00/0000:00:0d.0/virtio9/vendor

Comment 11 Bob Fournier 2019-08-19 19:29:00 UTC
Alistair, as this has fixed the original problem in the bug - the sdparm dependency, I believe we should close this one and open a separate bug for the VM issue that you found as they're not related.

Comment 18 errata-xmlrpc 2019-09-21 11:19:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811

Comment 19 adminsys 2020-10-21 11:09:03 UTC
(In reply to Bob Fournier from comment #11)
> Alistair, as this has fixed the original problem in the bug - the sdparm
> dependency, I believe we should close this one and open a separate bug for
> the VM issue that you found as they're not related.

Hello, has anyone created a ticket for the VM issue.
I have the same issue as described by  @atonner@redhat.com


Note You need to log in before you can comment on or make changes to this bug.